diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_Run3_asymmetric_fullChain.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_Run3_asymmetric_fullChain.sh
index f23add19777eca1eba41ac273afd03f989f44b0e..a7f11b1543e00e8d562149c66d89cdf0ebe7c6b6 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_Run3_asymmetric_fullChain.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_Run3_asymmetric_fullChain.sh
@@ -11,6 +11,8 @@
 # art-output: NSWPRDValAlg.digi.ntuple.root
 # art-output: NSWDigiCheck.txt
 # art-output: OUT_ESD.root
+# art-output: OUT_ESD_1thread.root
+# art-output: OUT_ESD_5thread.root
 # art-output: NSWPRDValAlg.reco.ntuple.root
 # art-output: NSWRecoCheck.txt
 
@@ -101,4 +103,34 @@ then
 fi
 #####################################################################
 
+#####################################################################
+# now run reconstruction with AthenaMT with 1 thread
+LOG_RECO="log_Run3_asymmetric_reco_1thread.log"
+Reco_tf.py --inputRDOFile OUT_RDO.root \
+           --autoConfiguration everything \
+           --athenaopts="--threads=1" \
+           --outputESDFile OUT_ESD_1thread.root &> ${LOG_RECO}
+exit_code=$?
+echo  "art-result: ${exit_code} Reco_tf.py_1thread"
+if [ ${exit_code} -ne 0 ]
+then
+    exit ${exit_code}
+fi
+#####################################################################
+
+#####################################################################
+# now run reconstruction with AthenaMT with 5 threads
+LOG_RECO="log_Run3_asymmetric_reco_5thread.log"
+Reco_tf.py --inputRDOFile OUT_RDO.root \
+           --autoConfiguration everything \
+           --athenaopts="--threads=5" \
+           --outputESDFile OUT_ESD_5thread.root &> ${LOG_RECO}
+exit_code=$?
+echo  "art-result: ${exit_code} Reco_tf.py_8thread"
+if [ ${exit_code} -ne 0 ]
+then
+    exit ${exit_code}
+fi
+#####################################################################
+
 echo "art-result: $?"
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_Run3_symmetric_fullChain.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_Run3_symmetric_fullChain.sh
index 2eb18b4c01dfbd26e4e8012de51689fbabb467ea..b0f888fbd95c689e18843f1c7976d8c93c1ccf55 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_Run3_symmetric_fullChain.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_Run3_symmetric_fullChain.sh
@@ -11,6 +11,8 @@
 # art-output: NSWPRDValAlg.digi.ntuple.root
 # art-output: NSWDigiCheck.txt
 # art-output: OUT_ESD.root
+# art-output: OUT_ESD_1thread.root
+# art-output: OUT_ESD_5thread.root
 # art-output: NSWPRDValAlg.reco.ntuple.root
 # art-output: NSWRecoCheck.txt
 
@@ -101,4 +103,34 @@ then
 fi
 #####################################################################
 
+#####################################################################
+# now run reconstruction with AthenaMT with 1 thread
+LOG_RECO="log_Run3_symmetric_reco_1thread.log"
+Reco_tf.py --inputRDOFile OUT_RDO.root \
+           --autoConfiguration everything \
+           --athenaopts="--threads=1" \
+           --outputESDFile OUT_ESD_1thread.root &> ${LOG_RECO}
+exit_code=$?
+echo  "art-result: ${exit_code} Reco_tf.py_1thread"
+if [ ${exit_code} -ne 0 ]
+then
+    exit ${exit_code}
+fi
+#####################################################################
+
+#####################################################################
+# now run reconstruction with AthenaMT with 5 threads
+LOG_RECO="log_Run3_symmetric_reco_5thread.log"
+Reco_tf.py --inputRDOFile OUT_RDO.root \
+           --autoConfiguration everything \
+           --athenaopts="--threads=5" \
+           --outputESDFile OUT_ESD_5thread.root &> ${LOG_RECO}
+exit_code=$?
+echo  "art-result: ${exit_code} Reco_tf.py_8thread"
+if [ ${exit_code} -ne 0 ]
+then
+    exit ${exit_code}
+fi
+#####################################################################
+
 echo "art-result: $?"